$fn=100;

// Note:  this file was used to develop the hot end holder (and matching xplate)
//  DO NOT INCLUDE
//  (break out individual parts later
//     - appropriate code was copied and pasted into main file)

module xplate(){
color("Gainsboro")
difference(){
 minkowski(){
   cube([42,40,1.5]); // y-size of openbuilds plate (for mini wheels) is 31.9
   cylinder(h=1.5,r=4);
} 
// mini-wheel holes
translate([11,4,-1])
  cylinder(h=5,r=7.1/2);
translate([31,4,-1])
  cylinder(h=5,r=7.1/2);
translate([11,36,-1])
  cylinder(h=5,r=5.1/2);
translate([31,36,-1])
  cylinder(h=5,r=5.1/2);

// nutsert holes
translate([1,20,-1])
  cylinder(h=5,r=5.1/2);
translate([10.5,20,-1])
  cylinder(h=5,r=5.1/2);
translate([31.5,20,-1])
  cylinder(h=5,r=5.1/2);
translate([41,20,-1])
  cylinder(h=5,r=5.1/2);
}
}

//xplate();
module e3dv6(){
  import("e3dv6.stl");  // file must be local
}


/*translate([-21,0,0])
rotate([90,0,0])
xplate();

translate([0,15.6,5])
rotate([90,0,90])
color("Silver")
e3dv6();*/


module heholder(){
difference(){
union(){
  hull(){ // back "half"
  translate([-25,-15.6,0])
  cube([50,9.5,12.5]);
  translate([-15,-6.2,0]) // 0.1 overlap
  cube([30,6,12.5]); // -0.2 "behind" xaxis
  }
  hull(){ // front "half"
  translate([-15,-1,0])
  cube([30,6,12.5]);
  translate([0,0,0])
  cylinder(h=12.5, r=12);
  }
}
  // e3d v6 barrel hole
  translate([0,0,-0.1])
  cylinder(h=12.7, r=6.3);  // r=6.1 too tight
  translate([0,0,-0.1])
  #cylinder(h=3.25, r=8.3); // r=8.1 too tight, h was 3.15
  translate([0,0,8.85])  // z was 8.95
  #cylinder(h=3.9, r=8.3); // r=8.1 too tight, h was 3.8

  // outer nutsert indents
  translate([20,-15.65,6.25])
  rotate([-90,0,0])
  #cylinder(h=6.05, r=5.1/2);
  translate([-20,-15.65,6.25])
  rotate([-90,0,0])
  #cylinder(h=6.05, r=5.1/2);
  // outer 3mm holes
  translate([20,-15.65,6.25])
  rotate([-90,0,0])
  #cylinder(h=15.05, r=3.1/2);
  translate([-20,-15.65,6.25])
  rotate([-90,0,0])
  #cylinder(h=15.05, r=3.1/2);
  // outer socket indents
  translate([20,-5.1,6.25])
  rotate([-90,0,0])
  #cylinder(h=4, r=5.6/2);
  translate([-20,-5.1,6.25])
  rotate([-90,0,0])
  #cylinder(h=4, r=5.6/2);

  // inner nutsert indents
  translate([10.5,-15.65,6.25])
  rotate([-90,0,0])
  #cylinder(h=6.05, r=5.1/2);
  translate([-10.5,-15.65,6.25])
  rotate([-90,0,0])
  #cylinder(h=6.05, r=5.1/2);
  // inner 3mm holes
  translate([10.5,-15.65,6.25])
  rotate([-90,0,0])
  #cylinder(h=26.05, r=3.1/2);
  translate([-10.5,-15.65,6.25])
  rotate([-90,0,0])
  #cylinder(h=26.05, r=3.1/2);
  // inner socket indents
  translate([10.5,5.7,6.25])
  rotate([-90,0,0])
  #cylinder(h=4, r=5.6/2);
  translate([-10.5,5.7,6.25])
  rotate([-90,0,0])
  #cylinder(h=4, r=5.6/2);

  // slicing plane - 0.2 thick (Note: maybe make 0.4 thick if too loose)
  translate([-16,-0.2,-0.1])
  cube([32,0.2,12.7]);
}
}

difference(){
heholder();
translate([-26,-0.1,-1])  //translate y=-0.1 for back half, y=-17.1 for front half
cube([52,17,14.5]);
}

// x carriage
module effector(){
translate([-21,14.4,105]) // xplate (Note: 1.4 clearance to v-slot)
rotate([90,0,0])
xplate();

// for extruder location, z=110 is center of travel
//   110-100  is bottom of travel, 110+100  is top of travel
translate([0,30,110])  // z=110 is center
rotate([90,0,90])
e3dv6();
}
//effector();