$fn=100;

include<bearingmod.scad>; // modded to add other models (625, 6000), and local include

module 623uu(){ // 3x10x3 1mm depth
  difference(){
    bearing(model=62303);
    rotate_extrude() // v-groove 1mm deep
    polygon([[4.0,1.5],[5.1,0.9],[5.1,2.1]]);
  }
}


module ybracketright(){
// stationary y pulley bracket
difference(){
union(){
hull(){
translate([-124,25,-57])
rotate([90,0,0])
cylinder(h=5,r=4);
translate([-104,25,-57])
rotate([90,0,0])
cylinder(h=5,r=4);
translate([-114,25,-65])
rotate([90,0,0])
cylinder(h=5,r=4);
translate([-120,41,-42])
rotate([90,0,0])
cylinder(h=21, r=2.5);
}
translate([-120,41,-36])
rotate([90,0,0])
cylinder(h=21, r=2.5);
hull(){
translate([-114,25,-43])
cylinder(h=8,r=3.5);
translate([-114,25,-45.5])
cylinder(h=2.5,r1=1.3,r2=3.5);
translate([-114,36,-43])
cylinder(h=8,r=3.5);
translate([-114,36,-45.5])
cylinder(h=2.5,r1=1.3,r2=3.5);
translate([-120,20,-43])
cube([5,1,9.5]);
translate([-120,40,-43])
cube([5,1,9.5]);
}
translate([-122.5,20,-42])
cube([3,3,6]);
translate([-122.5,38,-42])
cube([3,3,6]);
}
// bolt holes
translate([-124,26,-57])
rotate([90,0,0])
cylinder(h=7,r=4.1/2);
translate([-104,26,-57])
rotate([90,0,0])
cylinder(h=7,r=4.1/2);
translate([-114,26,-65])
rotate([90,0,0])
cylinder(h=7,r=4.1/2);
// flats for bolt heads
translate([-124,35,-57])
rotate([90,0,0])
cylinder(h=10,r=4);
translate([-104,35,-57])
rotate([90,0,0])
cylinder(h=10,r=4);
translate([-114,35,-65])
rotate([90,0,0])
cylinder(h=10,r=4);
// cutouts for pulleys
hull(){
translate([-114,25,-41])
cylinder(h=4,r=6);
translate([-114,36,-41])
cylinder(h=4,r=6);
}
// pulley bolt and head holes
translate([-114,25,-44])
cylinder(h=5,r=3.05/2); // bottom of hole for tapping
translate([-114,36,-44])
cylinder(h=5,r=3.05/2);
translate([-114,25,-38])
cylinder(h=5,r=3.1/2); // top of hole - untapped
translate([-114,36,-38])
cylinder(h=5,r=3.1/2);
translate([-114,25,-34.5])
cylinder(h=3,r=5.6/2); // bolt head indent
translate([-114,36,-34.5])
cylinder(h=3,r=5.6/2);
}
}

module ybracketleft(){
// stationary y pulley bracket
difference(){
union(){
hull(){
translate([124,25,-57])
rotate([90,0,0])
cylinder(h=5,r=4);
translate([104,25,-57])
rotate([90,0,0])
cylinder(h=5,r=4);
translate([114,25,-65])
rotate([90,0,0])
cylinder(h=5,r=4);
translate([120,41,-42])
rotate([90,0,0])
cylinder(h=21, r=2.5);
// tuning peg mount
translate([125,26,-52])
cylinder(h=10,r1=1,r2=6);
translate([122.5,20,-42])
cube([8.5,1,1]);
}
translate([120,41,-36])
rotate([90,0,0])
cylinder(h=21, r=2.5);
hull(){
translate([114,25,-43])
cylinder(h=8,r=3.5);
translate([114,25,-45.5])
cylinder(h=2.5,r1=1.3,r2=3.5);
translate([114,36,-43])
cylinder(h=8,r=3.5);
translate([114,36,-45.5])
cylinder(h=2.5,r1=1.3,r2=3.5);
translate([115,20,-43])
cube([5,1,9.5]);
translate([115,40,-43])
cube([5,1,9.5]);
}
translate([119.5,20,-42])
cube([3,3,6]);
translate([119.5,38,-42])
cube([3,3,6]);
}
// bolt holes
translate([124,26,-57])
rotate([90,0,0])
cylinder(h=7,r=4.1/2);
translate([104,26,-57])
rotate([90,0,0])
cylinder(h=7,r=4.1/2);
translate([114,26,-65])
rotate([90,0,0])
cylinder(h=7,r=4.1/2);
// flats for bolt heads
translate([124,35,-57])
rotate([90,0,0])
cylinder(h=10,r=4);
translate([104,35,-57])
rotate([90,0,0])
cylinder(h=10,r=4);
translate([114,35,-65])
rotate([90,0,0])
cylinder(h=10,r=4);
// cutouts for pulleys
hull(){
translate([114,25,-41])
cylinder(h=4,r=6);
translate([114,36,-41])
cylinder(h=4,r=6);
}
// pulley bolt and head holes
translate([114,25,-44])
cylinder(h=5,r=3.05/2); // bottom of hole for tapping
translate([114,36,-44])
cylinder(h=5,r=3.05/2);
translate([114,25,-38])
cylinder(h=5,r=3.1/2); // top of hole - untapped
translate([114,36,-38])
cylinder(h=5,r=3.1/2);
translate([114,25,-34.5])
cylinder(h=3,r=5.6/2); // bolt head indent
translate([114,36,-34.5])
cylinder(h=3,r=5.6/2);
// tuning peg hole and flat
translate([125.1,26,-52])
#cylinder(h=11,r=5.05/2);
translate([122.5,19,-42])
cube([10,23,5]);
}
}

// uncomment to orient for printing
//rotate([90,0,0])
//translate([114,-20,44])
ybracketright();


//rotate([90,0,0])
//translate([-114,-20,44])
ybracketleft();


// stationary y pulleys - Note: overlap with moving pulleys of 0.5mm - removed w/63zz
// Note: This is about the best I can do: 190mm y-travel w/693zz, 196mm w/63zz
translate([-114,25,-40.5])
623uu(); // 3 X 10 X 3
translate([-114,36,-40.5])
623uu();
translate([114,25,-40.5])
623uu();
translate([114,36,-40.5])
623uu();
